import request from '@/utils/request'

// 查询有效专利列表
export function listUrPatentValid(query) {
  return request({
    url: '/system/urPatentValid/list',
    method: 'get',
    params: query
  })
}

// 查询有效专利详细
export function getUrPatentValid(an) {
  return request({
    url: '/system/urPatentValid/' + an,
    method: 'get'
  })
}

// 新增有效专利
export function addUrPatentValid(data) {
  return request({
    url: '/system/urPatentValid',
    method: 'post',
    data: data
  })
}

// 修改有效专利
export function updateUrPatentValid(data) {
  return request({
    url: '/system/urPatentValid',
    method: 'put',
    data: data
  })
}

// 删除有效专利
export function delUrPatentValid(an) {
  return request({
    url: '/system/urPatentValid/' + an,
    method: 'delete'
  })
}

// 获取动态表头
export function getHeaderList(query) {
  return request({
    url: '/system/urPatentValid/getHeader',
    method: 'get',
    params: query
  })
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}

// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}

// 查询有效概览成品列表
export function listUrValidShowDataList(query) {
  return request({
    url: '/system/urValidShowData/getDataList',
    method: 'get',
    params: query
  })
}

// 查询有效专利列表部分也
export function getListUrPatentValid(query) {
  return request({
    url: '/system/urYearValidData/getDataList',
    method: 'get',
    params: query
  })
}

